Loading...
Searching...
No Matches
AtomFeed Class Reference
Inheritance diagram for AtomFeed:
[legend]
Collaboration diagram for AtomFeed:
[legend]

## Public Member Functions

| setId ( $new_value)

## Private Attributes

| $id
| $title
| $updated
| $nodes

## Detailed Description

Definition at line 147 of file AtomFeed.php.

## Constructor & Destructor Documentation

## __construct()

AtomFeed::__construct | ( |  | ) |

Definition at line 154 of file AtomFeed.php.

## Member Function Documentation

## setId()

AtomFeed::setId | ( |  | $new_value | ) |

Sets the feed link (rel=self), ignoring the parameter which is for compatibility with the Zend library API, although we use this for the Id, whereas they use the first link that is set.

Parameters

  uri | $new_value | The link target

Returns
  XMLElement the node that was added.

Definition at line 177 of file AtomFeed.php.

## Member Data Documentation

## $id

AtomFeed::$id

private

Definition at line 149 of file AtomFeed.php.

## $nodes

AtomFeed::$nodes

private

Definition at line 152 of file AtomFeed.php.

## $title

AtomFeed::$title

private

Definition at line 150 of file AtomFeed.php.

## $updated

AtomFeed::$updated

private

Definition at line 151 of file AtomFeed.php.

The documentation for this class was generated from the following file:

- inc/AtomFeed.php